#!/bin/bash

if [ "x$GEXTGNOME" = "x" ] ; then
	source setup.bash
fi

if [ "x$GEXTGNOME_DEVEL" = "x" ] ; then
	# Set environment variable so we can tell devel.bash has been sourced
	export GEXTGNOME_DEVEL=$GEXTGNOME
	
	export PATH="$GEXTGNOME_INSTALLED/bin:$PATH"
	export CFLAGS="-I$GEXTGNOME_INSTALLED/include $CFLAGS"
	export CPPFLAGS="-I$GEXTGNOME_INSTALLED/include $CPPFLAGS"
	export CXXFLAGS="-I$GEXTGNOME_INSTALLED/include $CXXFLAGS"
	export LDFLAGS="-L$GEXTGNOME_INSTALLED/lib $LDFLAGS"
	
	echo "+Your environment is now setup to compile with the Gnome Support Library"
else
	echo "+Your environment is already setup to compile with the Gnome Support Library"
fi